bots.setStatus
Archive or restore an agent.
Send {"status": "archived"} to deactivate an agent, or {"status": "active"} to restore it. Archived agents cannot receive calls but their history and definition are preserved.
Reference
PUT/api/v1/workflows/{workflow_id}/status
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · WorkflowResponse
Update the status of a workflow (e.g., archive/unarchive). Args: workflow_id: The ID of the workflow to update request: The status update request Returns: The updated workflow
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | required | |
status | body | string | required |
Example request
curl -X PUT "https://api.decibyl.ai/api/v1/workflows/<workflow_id>/status" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"status":"string"}'Response
{
"id": 1,
"name": "string",
"status": "string",
"is_live": true,
"visibility": "everyone",
"created_at": "2026-09-14T09:30:00Z",
"workflow_definition": {},
"current_definition_id": 1,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 1,
"workflow_configurations": {},
"version_number": 1,
"version_status": "string",
"workflow_uuid": "string"
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |